org.icefaces.ace.util

## Class MessageUtils

- java.lang.Object
- - org.icefaces.ace.util.MessageUtils

-     public class MessageUtils
      extends java.lang.Object

  This class has been designed, so the components can get FacesMessages either from their own ResourceBundle or an application's ResourceBundle. The component's ResourceBundle package is: org.icefaces.ace.resources

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.ClassLoader` | `getClassLoader(java.lang.Object fallback)`
    `static javax.faces.application.FacesMessage` | `getMessage(javax.faces.context.FacesContext facesContext, javax.faces.application.FacesMessage.Severity sev, java.lang.String messageId, java.lang.Object[] params)` Uses regular FacesMessage
    `static javax.faces.application.FacesMessage` | `getMessage(javax.faces.application.FacesMessage.Severity sev, java.lang.String messageId, boolean isKeyForResourceBundle, java.lang.Object[] params)` Uses DeferredLocaleFacesMessage
    `static javax.faces.application.FacesMessage` | `getMessage(java.util.Locale locale, javax.faces.application.FacesMessage.Severity sev, java.lang.String summary, java.lang.String detail, java.lang.Object[] params)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageUtils

          public MessageUtils()

  - ### Method Detail

    - #### getMessage

          public static javax.faces.application.FacesMessage getMessage(javax.faces.application.FacesMessage.Severity sev,
                                                                        java.lang.String messageId,
                                                                        boolean isKeyForResourceBundle,
                                                                        java.lang.Object[] params)

      Uses DeferredLocaleFacesMessage
      Parameters:
        `sev` - The FacesMessage Severity
        `messageId` - Either a key in the resource bundles for the summary and detail format strings, or a format string itself like the
        `isKeyForResourceBundle` - If true, messageId is the key for getting at the summary and detail format strings in the resource bundles, else it is a format string itself like requiredMessage from UIData.
        `params` - The parameters to the string formatting

    - #### getMessage

          public static javax.faces.application.FacesMessage getMessage(javax.faces.context.FacesContext facesContext,
                                                                        javax.faces.application.FacesMessage.Severity sev,
                                                                        java.lang.String messageId,
                                                                        java.lang.Object[] params)

      Uses regular FacesMessage

    - #### getMessage

          public static javax.faces.application.FacesMessage getMessage(java.util.Locale locale,
                                                                        javax.faces.application.FacesMessage.Severity sev,
                                                                        java.lang.String summary,
                                                                        java.lang.String detail,
                                                                        java.lang.Object[] params)

    - #### getClassLoader

          public static java.lang.ClassLoader getClassLoader(java.lang.Object fallback)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.